Skip to main content
GET
/
v1
/
private-locations
/
{id}
Retrieve a private location
curl --request GET \
  --url https://api.checklyhq.com/v1/private-locations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "0baf2a80-7266-44af-b56c-2af7086782ee",
  "name": "New Private Location",
  "slugName": "new-private-location",
  "created_at": "2023-12-25",
  "icon": "location",
  "updated_at": "2023-12-25",
  "keys": [
    {
      "id": "fed3ada8-7d9b-4634-a0fe-471afe0518b6",
      "rawKey": "pl_a89026d28a0c45cf9e11b4c3637f3912",
      "maskedKey": "...6a1e",
      "created_at": "2023-12-25",
      "updated_at": "2023-12-25"
    }
  ],
  "proxyUrl": "https://user:password@164.92.149.127:3128",
  "lastSeen": "2023-12-25",
  "agentCount": 123,
  "minAgentVersion": "<string>",
  "runningAgents": [
    {
      "version": "<string>",
      "count": 123,
      "agentIds": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
string
required

Response

Successful

id
string
required
Example:

"0baf2a80-7266-44af-b56c-2af7086782ee"

name
string
required

The name assigned to the private location.

Example:

"New Private Location"

slugName
string
required

Valid slug name.

Example:

"new-private-location"

created_at
string<date>
required
icon
string

The private location icon.

Example:

"location"

updated_at
string<date> | null
keys
object[]
proxyUrl
string | null

A proxy for outgoing API check HTTP calls from your private location.

Example:

"https://user:password@164.92.149.127:3128"

lastSeen
string<date> | null
agentCount
number | null
minAgentVersion
string | null

The lowest agent version currently connected to this private location.

runningAgents
object[]

A list of agent versions and their counts currently connected to this private location.